HtmlDatascroller (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.html.HtmlDatascroller class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDatascroller

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UIDatascroller
                          org.richfaces.component.html.HtmlDatascroller

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.event.DataScrollerSource

    public class HtmlDatascroller

extends UIDatascroller

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIDatascroller
`FAST_FORWARD_DISABLED_FACET_NAME, FAST_FORWARD_FACET_NAME, FAST_REWIND_DISABLED_FACET_NAME, FAST_REWIND_FACET_NAME, FIRST_DISABLED_FACET_NAME, FIRST_FACET_NAME, LAST_DISABLED_FACET_NAME, LAST_FACET_NAME, LAST_PAGE_MODE_FULL, LAST_PAGE_MODE_SHORT, NEXT_DISABLED_FACET_NAME, NEXT_FACET_NAME, PREVIOUS_DISABLED_FACET_NAME, PREVIOUS_FACET_NAME, SCROLLER_STATE_ATTRIBUTE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlDatascroller()`

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getBoundaryControls()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFastControls()`
`int` | `getFastStep()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getFor()`
`java.lang.String` | `getHandleValue()`
`java.lang.String` | `getInactiveStyle()`
`java.lang.String` | `getInactiveStyleClass()`
`java.lang.String` | `getLastPageMode()`
`int` | `getMaxPages()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnpagechange()`
`java.lang.String` | `getPageIndexVar()`
`java.lang.String` | `getPagesVar()`
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`javax.el.MethodExpression` | `getScrollerListener()`
`java.lang.String` | `getSelectedStyle()`
`java.lang.String` | `getSelectedStyleClass()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStepControls()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTableStyle()`
`java.lang.String` | `getTableStyleClass()`
`int` | `getTimeout()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`boolean` | `isRenderIfSinglePage()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setAlign(java.lang.String _align)`
`void` | `setBoundaryControls(java.lang.String _boundaryControls)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setData(java.lang.Object _data)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFastControls(java.lang.String _fastControls)`
`void` | `setFastStep(int _fastStep)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setFor(java.lang.String _for)`
`void` | `setHandleValue(java.lang.String _handleValue)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setInactiveStyle(java.lang.String _inactiveStyle)`
`void` | `setInactiveStyleClass(java.lang.String _inactiveStyleClass)`
`void` | `setLastPageMode(java.lang.String _lastPageMode)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setMaxPages(int _maxPages)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnpagechange(java.lang.String _onpagechange)`
`void` | `setPageIndexVar(java.lang.String _pageIndexVar)`
`void` | `setPagesVar(java.lang.String _pagesVar)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRenderIfSinglePage(boolean _renderIfSinglePage)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setScrollerListener(javax.el.MethodExpression _scrollerListener)`
`void` | `setSelectedStyle(java.lang.String _selectedStyle)`
`void` | `setSelectedStyleClass(java.lang.String _selectedStyleClass)`
`void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setStepControls(java.lang.String _stepControls)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTableStyle(java.lang.String _tableStyle)`
`void` | `setTableStyleClass(java.lang.String _tableStyleClass)`
`void` | `setTimeout(int _timeout)`

Methods inherited from class org.richfaces.component.UIDatascroller
`addScrollerListener, broadcast, getDataTable, getFastForward, getFastRewind, getFirst, getFirstRow, getLast, getNext, getPage, getPageCount, getPageCount, getPageCount, getPageForFacet, getPageIndex, getPageIndex, getPrevious, getRowCount, getRowCount, getRows, getScrollerListeners, isLocalPageSet, removeScrollerListener, resetLocalPage, setFirstRow, setPage, setPage, setupFirstRowValue`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDatascroller

    public HtmlDatascroller()

Method Detail

### isAjaxSingle

    public boolean isAjaxSingle()

  Specified by:
    `isAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `isAjaxSingle` in class `UIDatascroller`

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

  Specified by:
    `setAjaxSingle` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setAjaxSingle` in class `UIDatascroller`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in class `UIDatascroller`

### setAlign

    public void setAlign(java.lang.String _align)

  Specified by:
    `setAlign` in class `UIDatascroller`

### getBoundaryControls

    public java.lang.String getBoundaryControls()

  Specified by:
    `getBoundaryControls` in class `UIDatascroller`

### setBoundaryControls

    public void setBoundaryControls(java.lang.String _boundaryControls)

  Specified by:
    `setBoundaryControls` in class `UIDatascroller`

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### getEventsQueue

    public java.lang.String getEventsQueue()

  Specified by:
    `getEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `getEventsQueue` in class `UIDatascroller`

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

  Specified by:
    `setEventsQueue` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setEventsQueue` in class `UIDatascroller`

### getFastControls

    public java.lang.String getFastControls()

  Specified by:
    `getFastControls` in class `UIDatascroller`

### setFastControls

    public void setFastControls(java.lang.String _fastControls)

  Specified by:
    `setFastControls` in class `UIDatascroller`

### getFastStep

    public int getFastStep()

  Specified by:
    `getFastStep` in class `UIDatascroller`

### setFastStep

    public void setFastStep(int _fastStep)

  Specified by:
    `setFastStep` in class `UIDatascroller`

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### getFor

    public java.lang.String getFor()

  Specified by:
    `getFor` in class `UIDatascroller`

### setFor

    public void setFor(java.lang.String _for)

  Specified by:
    `setFor` in class `UIDatascroller`

### getHandleValue

    public java.lang.String getHandleValue()

### setHandleValue

    public void setHandleValue(java.lang.String _handleValue)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### getInactiveStyle

    public java.lang.String getInactiveStyle()

  Specified by:
    `getInactiveStyle` in class `UIDatascroller`

### setInactiveStyle

    public void setInactiveStyle(java.lang.String _inactiveStyle)

  Specified by:
    `setInactiveStyle` in class `UIDatascroller`

### getInactiveStyleClass

    public java.lang.String getInactiveStyleClass()

  Specified by:
    `getInactiveStyleClass` in class `UIDatascroller`

### setInactiveStyleClass

    public void setInactiveStyleClass(java.lang.String _inactiveStyleClass)

  Specified by:
    `setInactiveStyleClass` in class `UIDatascroller`

### getLastPageMode

    public java.lang.String getLastPageMode()

  Specified by:
    `getLastPageMode` in class `UIDatascroller`

### setLastPageMode

    public void setLastPageMode(java.lang.String _lastPageMode)

  Specified by:
    `setLastPageMode` in class `UIDatascroller`

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getMaxPages

    public int getMaxPages()

  Specified by:
    `getMaxPages` in class `UIDatascroller`

### setMaxPages

    public void setMaxPages(int _maxPages)

  Specified by:
    `setMaxPages` in class `UIDatascroller`

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOnpagechange

    public java.lang.String getOnpagechange()

### setOnpagechange

    public void setOnpagechange(java.lang.String _onpagechange)

### getPageIndexVar

    public java.lang.String getPageIndexVar()

### setPageIndexVar

    public void setPageIndexVar(java.lang.String _pageIndexVar)

### getPagesVar

    public java.lang.String getPagesVar()

### setPagesVar

    public void setPagesVar(java.lang.String _pagesVar)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### isRenderIfSinglePage

    public boolean isRenderIfSinglePage()

  Specified by:
    `isRenderIfSinglePage` in class `UIDatascroller`

### setRenderIfSinglePage

    public void setRenderIfSinglePage(boolean _renderIfSinglePage)

  Specified by:
    `setRenderIfSinglePage` in class `UIDatascroller`

### getRequestDelay

    public int getRequestDelay()

  Specified by:
    `getRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `getRequestDelay` in class `UIDatascroller`

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

  Specified by:
    `setRequestDelay` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setRequestDelay` in class `UIDatascroller`

### getScrollerListener

    public javax.el.MethodExpression getScrollerListener()

  Specified by:
    `getScrollerListener` in class `UIDatascroller`

### setScrollerListener

    public void setScrollerListener(javax.el.MethodExpression _scrollerListener)

  Specified by:
    `setScrollerListener` in class `UIDatascroller`

### getSelectedStyle

    public java.lang.String getSelectedStyle()

  Specified by:
    `getSelectedStyle` in class `UIDatascroller`

### setSelectedStyle

    public void setSelectedStyle(java.lang.String _selectedStyle)

  Specified by:
    `setSelectedStyle` in class `UIDatascroller`

### getSelectedStyleClass

    public java.lang.String getSelectedStyleClass()

  Specified by:
    `getSelectedStyleClass` in class `UIDatascroller`

### setSelectedStyleClass

    public void setSelectedStyleClass(java.lang.String _selectedStyleClass)

  Specified by:
    `setSelectedStyleClass` in class `UIDatascroller`

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

  Specified by:
    `getSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `getSimilarityGroupingId` in class `UIDatascroller`

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

  Specified by:
    `setSimilarityGroupingId` in interface `org.ajax4jsf.component.AjaxComponent`
  Specified by:
    `setSimilarityGroupingId` in class `UIDatascroller`

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getStepControls

    public java.lang.String getStepControls()

  Specified by:
    `getStepControls` in class `UIDatascroller`

### setStepControls

    public void setStepControls(java.lang.String _stepControls)

  Specified by:
    `setStepControls` in class `UIDatascroller`

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `UIDatascroller`

### setStyle

    public void setStyle(java.lang.String _style)

  Specified by:
    `setStyle` in class `UIDatascroller`

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `UIDatascroller`

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

  Specified by:
    `setStyleClass` in class `UIDatascroller`

### getTableStyle

    public java.lang.String getTableStyle()

### setTableStyle

    public void setTableStyle(java.lang.String _tableStyle)

### getTableStyleClass

    public java.lang.String getTableStyleClass()

  Specified by:
    `getTableStyleClass` in class `UIDatascroller`

### setTableStyleClass

    public void setTableStyleClass(java.lang.String _tableStyleClass)

  Specified by:
    `setTableStyleClass` in class `UIDatascroller`

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIDatascroller`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIDatascroller`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIDatascroller`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.